net.sf.jasperreports.engine.xml

## Class JRReportSaxParserFactory

- java.lang.Object
- - net.sf.jasperreports.engine.xml.BaseSaxParserFactory
  - - net.sf.jasperreports.engine.xml.JRReportSaxParserFactory

- All Implemented Interfaces:
    JRSaxParserFactory

      public class JRReportSaxParserFactory
      extends BaseSaxParserFactory

  The default report SAX parser factory.

  This factory creates a parser via the default SAX parser factory (`javax.xml.parsers.SAXParserFactory.newInstance()`).

  JRXMLs are always validated using W3C XML schemas. Reports that refer the JasperReports DTD (which has been deprecated) are validated using an internal XML schema equivalent to the DTD.

  To improve performance, XML schemas can be cached when using a Xerces SAX parser. See `BaseSaxParserFactory.PROPERTY_CACHE_SCHEMAS`.

  Version:
    $Id: JRReportSaxParserFactory.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPILER_XML_VALIDATION` Whether to validate the xml report when compiling.

    - ### Fields inherited from class net.sf.jasperreports.engine.xml.BaseSaxParserFactory

      `PACKAGE_PREFIX_SUN_XERCES, PACKAGE_PREFIX_XERCES, POOL_CLASS_SUN_XERCES, POOL_CLASS_XERCES, PROPERTY_CACHE_SCHEMAS, XERCES_PARSER_PROPERTY_GRAMMAR_POOL`

    - ### Fields inherited from interface net.sf.jasperreports.engine.xml.JRSaxParserFactory

      `PROPERTY_PRINT_PARSER_FACTORY, PROPERTY_REPORT_PARSER_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRReportSaxParserFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<java.lang.String>` | `getSchemaLocations()`
    `protected boolean` | `isValidating()`

    - ### Methods inherited from class net.sf.jasperreports.engine.xml.BaseSaxParserFactory

      `configureParser, createParser, createSAXParserFactory, enableSchemaCaching, getGrammarPoolCacheKey, getResourceURI, setGrammarPoolProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPILER_XML_VALIDATION

          public static final java.lang.String COMPILER_XML_VALIDATION

      Whether to validate the xml report when compiling.

      Defaults to `true`.

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRReportSaxParserFactory

          public JRReportSaxParserFactory()

  - ### Method Detail

    - #### isValidating

          protected boolean isValidating()

      Specified by:
        `isValidating` in class `BaseSaxParserFactory`

    - #### getSchemaLocations

          protected java.util.List<java.lang.String> getSchemaLocations()

      Specified by:
        `getSchemaLocations` in class `BaseSaxParserFactory`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com